Bug 1473601 - Error message is misleading when image name is one char
Error message is misleading when image name is one char
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console (Show other bugs)
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Samuel Padgett
: 1481635 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2017-07-21 05:27 EDT by XiaochuanWang
Modified: 2017-08-16 15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-08-10 01:32:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
not reproduced (50.79 KB, image/png)
2017-07-30 22:29 EDT, XiaochuanWang
no flags Details

  None (edit)
Description XiaochuanWang 2017-07-21 05:27:46 EDT
Description of problem:
Length error of image name causes a misleading error message when user choose imagestream to create app.  

Version-Release number of selected component (if applicable):
OpenShift Master:      v3.6.153
Kubernetes Master:     v1.6.1+5115d708d7 

How reproducible:

Steps to Reproduce:
1. Create a project and go to https://xxx.com:8443/console/project/myproject/create?tab=deployImage
2. Select from drop down list:
Image Stream Tag -> openshift
Image Strean ->        <a random one>
Tag -> latest
3. In put one char in "*Name" and click Save

Actual results:
It shows "Please use at least 2 characters ..." message
But it also shows red message "This name is already in use within the project. Please choose a different name."

Expected results:
The red message should not show "This name is already in use within the project". It should also say "at least 2 characters"
Comment 4 XiaochuanWang 2017-07-30 22:29 EDT
Created attachment 1306764 [details]
not reproduced
Comment 5 XiaochuanWang 2017-07-30 22:31:08 EDT
This is not reproduced on OCP:

OpenShift Master:     v3.
Kubernetes Master:    v1.6.1+5115d708d7 

The Create button is disabled when there is only one character, error message with red box is correct.
Comment 7 errata-xmlrpc 2017-08-10 01:32:16 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

Comment 8 Samuel Padgett 2017-08-15 08:18:50 EDT
*** Bug 1481635 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.